- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

# myset.h File Reference

Declares templates for generating custom containers used elsewhere in the library. More...

`#include "common.h"`
`#include "mystring.h"`
`#include "stream2string.h"`
`#include <iostream>`
`#include <set>`

Go to the source code of this file.

## Namespaces
namespace | mysqlpp
## Classes
class | mysqlpp::Set< Container >
| A special std::set derivative for holding MySQL data sets. More...
## Functions
template<class Container>
std::ostream & | mysqlpp::operator<< (std::ostream &s, const Set< Container > &d)
| Inserts a Set object into a C++ stream.

## Detailed Description

Declares templates for generating custom containers used elsewhere in the library.